#ifndef __RT2_YY_H__
#define __RT2_YY_H__
/**
** rt2_yy.h
**/

/* on error code */
#define ABAC_RT_ROLE_INVALID           -1  /* */
#define ABAC_RT_CERT_INVALID           -2  /* */
#define ABAC_RT_CERT_BAD_SIG           -3  /* */
#define ABAC_RT_CERT_MISSING_ISSUER    -4  /* */

/* from rt2.y(bison), used by libabac */
extern int yyparse();

/* from rt2.l(lex), used by creddy/libabac */
extern void abac_ll_reset_yyfptr(char *str);
extern char* abac_ll_get_yyfptr();
extern char *abac_ll_get_yyfptr_encoded();
extern FILE *abac_ll_get_yyout();

#endif /* __RT2_YY_H__ */
